ru.bitel.bgbilling.modules.drwebn.common.bean

## Class AgentAVDStatusLog

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.drwebn.common.bean.AgentStatusBase
    - - ru.bitel.bgbilling.modules.drwebn.common.bean.AgentAVDStatusLog

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class AgentAVDStatusLog
      extends AgentStatusBase

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.AgentStatusBase

      `status, STATUS_BLOCKED, STATUS_CLOSE, STATUS_ERROR, STATUS_OK, tariffId, tariffTitle`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentAVDStatusLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AgentAVDStatus` | `clone()` Клонирование статуса.
    `int` | `getAgentId()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.lang.String` | `getPeriod()`
    `int` | `getUserId()`
    `java.lang.String` | `getUserTitle()`
    `void` | `setAgentId(int agentId)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setUserId(int userId)`
    `void` | `setUserTitle(java.lang.String userTitle)`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.AgentStatusBase

      `getStatus, getStatusString, getTariffId, getTariffTitle, setStatus, setTariffId, setTariffTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentAVDStatusLog

          public AgentAVDStatusLog()

  - ### Method Detail

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### clone

          public AgentAVDStatus clone()

      Клонирование статуса. Копируются все поля, кроме id, которое устанавливается в ноль.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getAgentId

          public int getAgentId()

    - #### setAgentId

          public void setAgentId(int agentId)

    - #### getPeriod

          public java.lang.String getPeriod()

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getUserTitle

          public java.lang.String getUserTitle()

    - #### setUserTitle

          public void setUserTitle(java.lang.String userTitle)